
QGIS Application - Bug report #4303

Plugin installer: error if high-ASCII in path

2011-09-23 12:09 PM - Paolo Cavallini

Status: Closed

Priority: Normal

Assignee:

Category: Python plugins

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 14240

Description

If in the path there is some high-ASCII, the installer throws an error, and plugins cannot be installed. Looks an easy fix. Details below.

Thanks.

No se pudo cargar el complemento 'ziplayers' de

['C:/PROGRA~2/QUANTU~1/apps/qgis-dev/./python', 'C:/Users/MarÃ­

a/.qgis/python', 'C:/Users/MarÃ­a/.qgis/python/plugins',

'C:/PROGRA~2/QUANTU~1/apps/qgis-dev/./python/plugins', 'C:\\PROGRA~2

\\QUANTU~1\\bin\\python25.zip', 'C:\\PROGRA~2\\QUANTU~1\\apps\\Python25

\\DLLs', 'C:\\PROGRA~2\\QUANTU~1\\apps\\Python25\\lib', 'C:\\PROGRA~2

\\QUANTU~1\\apps\\Python25\\lib\\plat-win', 'C:\\PROGRA~2\\QUANTU~1\\apps

\\Python25\\lib\\lib-tk', 'C:\\PROGRA~2\\QUANTU~1\\apps\\qgis-dev\\bin', 'C:

\\PROGRA~2\\QUANTU~1\\apps\\Python25', 'C:\\PROGRA~2\\QUANTU~1\\apps\\Python25

\\lib\\site-packages', 'C:\\PROGRA~2\\QUANTU~1\\apps\\Python25\\lib

\\site-packages\\win32', 'C:\\PROGRA~2\\QUANTU~1\\apps\\Python25\\lib

\\site-packages\\win32\\lib', 'C:\\PROGRA~2\\QUANTU~1\\apps\\Python25\\lib

\\site-packages\\Pythonwin', 'C:\\PROGRA~2\\QUANTU~1\\apps\\qgis-dev\\python

\\plugins\\fTools\\tools']

Traceback (most recent call last):

File "C:/PROGRA~2/QUANTU~1/apps/qgis-dev/./python\\qgis\\utils.py",

line 117, in loadPlugin

import(packageName)

File "C:/PROGRA~2/QUANTU~1/apps/qgis-dev/./python\\qgis\\utils.py",

line 283, in _import

mod = _builtin_import(name, globals, locals, fromlist, level)

ImportError: No module named ziplayers

Versión de Python:

2.5.2 (r252:60911, Feb 21 2008, 13:11:45) [MSC v.1310 32 bit (Intel)]

Versión de QGIS:

1.8.0-Trunk Trunk, a4c2180

Ruta de Python: ['C:/PROGRA~2/QUANTU~1/apps/qgis-dev/./python',

'C:/Users/Mar\\xc3\\xada/.qgis/python', 'C:/Users/Mar\\xc3

\\xada/.qgis/python/plugins',

'C:/PROGRA~2/QUANTU~1/apps/qgis-dev/./python/plugins', 'C:\\\\PROGRA~2\\

\\QUANTU~1\\\\bin\\\\python25.zip', 'C:\\\\PROGRA~2\\\\QUANTU~1\\\\apps\\\\Python25

\\\\DLLs', 'C:\\\\PROGRA~2\\\\QUANTU~1\\\\apps\\\\Python25\\\\lib', 'C:\\\\PROGRA~2\\
\\QUANTU~1\\\\apps\\\\Python25\\\\lib\\\\plat-win', 'C:\\\\PROGRA~2\\\\QUANTU~1\\

\\apps\\\\Python25\\\\lib\\\\lib-tk', 'C:\\\\PROGRA~2\\\\QUANTU~1\\\\apps\\\\qgis-dev

\\\\bin', 'C:\\\\PROGRA~2\\\\QUANTU~1\\\\apps\\\\Python25', 'C:\\\\PROGRA~2\\

\\QUANTU~1\\\\apps\\\\Python25\\\\lib\\\\site-packages', 'C:\\\\PROGRA~2\\

\\QUANTU~1\\\\apps\\\\Python25\\\\lib\\\\site-packages\\\\win32', 'C:\\\\PROGRA~2\\

\\QUANTU~1\\\\apps\\\\Python25\\\\lib\\\\site-packages\\\\win32\\\\lib', 'C:\\

\\PROGRA~2\\\\QUANTU~1\\\\apps\\\\Python25\\\\lib\\\\site-packages\\\\Pythonwin',

'C:\\\\PROGRA~2\\\\QUANTU~1\\\\apps\\\\qgis-dev\\\\python\\\\plugins\\\\fTools\\

\\tools']

Related issues:

Related to QGIS Application - Bug report # 4141: Problem installing plugins Closed 2011-08-05

Duplicated by QGIS Application - Bug report # 6746: Plugin installation fails... Closed 2012-11-21

Duplicated by QGIS Application - Bug report # 7488: Reading plugins from path... Closed 2013-04-02

Associated revisions

Revision 5edc9df0 - 2013-04-07 01:41 PM - Minoru Akagi

fix #4303

History

#1 - 2011-09-23 01:43 PM - Borys Jurgiel

Does the installer display any "gentle" error message prior to raising the error? It seems the plugin was successfully installed, but then qgis.utils fails to load

it. Could you please look to the plugins directory and check if the plugin is there? If it's present, then the problem is in qgis.utils, otherwise in the installer.

#2 - 2011-09-23 11:25 PM - Paolo Cavallini

I no longer have a access to the win machines that threw the error. AFAIR:

    -  no gentle error message

    -  the plugin is there, just not loaded

#3 - 2011-09-24 05:15 PM - Borys Jurgiel

Ok, than it's related to Python plugins paths, not to the installer.

Unfortunately also I have no access to an affected windows version.

#4 - 2011-09-25 02:58 AM - Giovanni Manghi

Borys Jurgiel wrote:

Ok, than it's related to Python plugins paths, not to the installer.

Unfortunately also I have no access to an affected windows version.

see also #4141

#5 - 2011-12-16 02:11 PM - Giovanni Manghi
- Target version set to Version 1.7.4

#6 - 2012-04-16 06:29 AM - Paolo Cavallini

- Crashes QGIS or corrupts data set to No

- Affected QGIS version set to master

- Target version changed from Version 1.7.4 to Version 1.8.0

#7 - 2012-07-25 01:43 AM - Steve Tracik

Still doesn't work in the 1.8.0 version (and MASTER version)

#8 - 2012-09-04 11:57 AM - Paolo Cavallini

- Target version changed from Version 1.8.0 to Version 2.0.0

#9 - 2013-04-07 04:24 AM - Minoru Akagi

- File homePythonPath.diff added

Attatched patch enables loading plugins with a few exceptions.

Found defects:

    -  ScriptRunner plugin: fails to be loaded.

    -  OpenLayers plugin: Menu icons and layers are not displayed.

I would like to note that there is another solution using --configpath commandline option.

#10 - 2013-04-07 04:41 AM - Anonymous

- Status changed from Open to Closed

Fixed in changeset commit:"5edc9df06b39d07f30f117c5f8c66d994ac9e0cb".

#11 - 2013-04-07 06:34 AM - Minoru Akagi

- File update-homePythonPath.patch added

- Status changed from Closed to Reopened

ah, I missed version update.

#12 - 2013-04-07 07:59 AM - Minoru Akagi

- Status changed from Reopened to Closed

I should have opened a new ticket (#7537).

Files

homePythonPath.diff 558 Bytes 2013-04-07 Minoru Akagi

update-homePythonPath.patch 952 Bytes 2013-04-07 Minoru Akagi
